> For the complete documentation index, see [llms.txt](https://docs.coupler.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coupler.io/account-management/workspaces-and-organization/how-to-delete-my-organization.md).

# Delete my organization

Learn how to permanently delete your Coupler.io organization. Understand what happens to data flows, users, and billing when an organization is removed.

{% hint style="success" icon="user-key" %}
Action available only for Organization Owner
{% endhint %}

In case you want to delete your Coupler.io organization and all data associated with it , please follow the next instructions:

{% @arcade/embed url="<https://app.arcade.software/share/tgUMECR2JiotkTnRxKIa>" flowId="tgUMECR2JiotkTnRxKIa" %}

{% stepper %}
{% step %}
[Login](https://www.coupler.io/sign_in) to Coupler.io.
{% endstep %}

{% step %}
From the bottom-left menu, select the organization that you want to delete
{% endstep %}

{% step %}
From the Settings menu, select Organization
{% endstep %}

{% step %}
From the Organization window, select Settings
{% endstep %}

{% step %}
Click the on-screen link from the checklist and follow the instructions
{% endstep %}
{% endstepper %}

To learn more about how to manage your subscription, you can check out our article [here](/account-management/billing/how-to-manage-your-subscription.md).

{% hint style="info" %}
Before deleting your organization that is on a paid plan, you will be prompted to cancel the subscription to avoid unwanted charges.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.coupler.io/account-management/workspaces-and-organization/how-to-delete-my-organization.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
